<html>
<body>
<h1> sch-rnd - the devmap file format </h1>
<p>
A devmap file is a <a href="http://www.repo.hu/projects/lihata/lihata.html">
lihata document.</a> The root node is <i>ha:std_devmap.v1</i>, which has
a <i>ha:comp_attribs</i> subtree. This subtree contains all attributes
that are set on the component that refers to the devmap.
<p>
Scalar attributes are plain text nodes in key=value form. Array attributes
are lists of text items.
<p>
For example this is the devmap file for 2n7002 in sot23:
<pre>
ha:std_devmap.v1 {
 ha:comp_attribs {
  footprint=sot23
  li:portmap={
   {G->pcb/pinnum=1}
   {S->pcb/pinnum=2}
   {D->pcb/pinnum=3}
  }
 }
}
</pre>
<p>
It sets the footprint to sot23 then specifies a portmap array. Since portmap
items contain slash, they each need to be quoted using {}.
<p>
Note: devmap does not know about the portmap syntax. For devmap li:portmap
is just an arbitrary array-type attribute with 3 string/text items in it.
<a href="../02_model/display_name.html">Portmap has its own documentation</a>,
and can be used independently of devmap.

